<?php

namespace App\Controllers;

class Feestructure extends BaseController
{
    public function index()
    {
        $id=session()->get('id');
        if($id){
            $db=\Config\Database::connect();
            $builder=$db->table('header');
            $data=$builder->get()->getResultArray();
            if($data){
                return $this->response->setJSON(['result'=>1,'data'=>$data]);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'No data ']);
            }
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }

    public function get_value()
    {
        $id=session()->get('id');
        $headerId=$this->request->getVar('id');
        if($id){
            $db=\Config\Database::connect();
            $builder=$db->table('header_value');
            $builder->where('header_id',$headerId);
            $data=$builder->get()->getResultArray();
            if($data){
                return $this->response->setJSON(['result'=>1,'data'=>$data]);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'No data ']);
            }
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }
    public function add_fee()
    {
        $created_by=session()->get('username');
        $id=session()->get('id');
        $header_name=$this->request->getVar('header_name');
        $value_name=$this->request->getVar('value_name');
        $duration=$this->request->getVar('duration');
        $fee=$this->request->getVar('fee');
        if($id){
            $db=\Config\Database::connect();
            $builder=$db->table('fee_structure');
            $data=[
                'header_id'=>$header_name,
                'value_id'=>$value_name,
                'created_by'=>$created_by,
                'duration'=>$duration,
                'created_at' => date('Y-m-d H:i:s'),
                'fees'=>$fee
            ];
            $insert=$builder->insert($data);
            if($insert){
                return $this->response->setJSON(['result'=>1,'message'=>'Fees Structure created successfully']);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'Failed to create fees structure']);
            }
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }

    public function fees_data()
    {
        $id=session()->get('id');
        if($id){
            $db=\Config\Database::connect();
            $builder=$db->table('fee_structure');
            $builder->select('fee_structure.*,header.header_name,header_value.value_name');
            $builder->join('header','header.id=fee_structure.header_id');
            $builder->join('header_value','header_value.id=fee_structure.value_id');
            $data=$builder->get()->getResultArray();
            if($data){
                return $this->response->setJSON($data);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'Failed to load data']);
            }
        }
    }
    public function fee_delete()
    {
        $id=$this->request->getVar('id');
        // echo $id;die();
        $db=\Config\Database::connect();
        $builder=$db->table('fee_structure');
        $builder->where('id',$id);
        $delete=$builder->delete();
        if($delete){
            return $this->response->setJSON(['result'=>1]);
        }else{
            return $this->response->setJSON(['result'=>0]);
        }
    }
    public function update_fees()
    {
        $id=$this->request->getVar('feeid');
        $editfees=$this->request->getVar('editfees');
        $duration=$this->request->getVar('duration');
        // echo $id;die();
        $db=\Config\Database::connect();
        $builder=$db->table('fee_structure');
        $data=[
            'fees'=>$editfees,
            'duration'=>$duration
        ];
        $builder->where('id',$id);
        $delete=$builder->update($data);
        if($delete){
            return $this->response->setJSON(['result'=>1,'message'=>'Fees Structure updated successfully successfully']);
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'Failed to update']);
        }
    }

}
?>