<?php

namespace App\Controllers;

class Timetable extends BaseController
{
    public function index()
    {
        $id=session()->get('id');
        if($id){
            return view('Timetable/add_timetable');
        }else{
            return redirect()->to('/');
        }
    }
    public function list_timetable()
    {
        $id=session()->get('id');
        if($id){
            return view('Timetable/timetable_list');
        }else{
            return redirect()->to('/');
        }
    }
    public function get_batch()
    {
        $id=session()->get('id');
        if($id){
            $db=\Config\Database::connect();
            $builder=$db->table('batches');
            $builder->where('time_table',0);
            $data=$builder->get()->getResultArray();
            if($data){
                return $this->response->setJSON(['result'=>1,'data'=>$data]);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'No data ']);
            }
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }

    public function timetable_form()
    {
        $id=session()->get('id');
        if($id){
            $data=$this->request->getVar();
            $db=\Config\Database::connect();
            $builder=$db->table('time_table');
            $data['created_by']=session()->get('username');
            $data['created_at']=date('Y-m-d H:i:s');
            $insert=$builder->insert($data);
            if($insert){
                $builder=$db->table('batches');
                $databatch=[
                    'time_table'=>1,
                ];
                $builder->where('id',$data['batch_id']);
                $builder->update($databatch);
                return $this->response->setJSON(['result'=>1,'message'=>'Time table created successfully']);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'Failed to create']);
            }

        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }
    public function timetable_update_form()
    {
        $id=session()->get('id');
        if($id){
            $tid=$this->request->getVar('id');
            $data=$this->request->getVar();
            $db=\Config\Database::connect();
            $builder=$db->table('time_table');
            $data['created_by']=session()->get('username');
            $data['created_at']=date('Y-m-d H:i:s');
            $builder->where('id',$tid);
            $update=$builder->update($data);
            if($update){
                // $builder=$db->table('batches');
                // $databatch=[
                //     'time_table'=>1,
                // ];
                // $builder->where('id',$data['batch_id']);
                // $builder->update($databatch);
                return $this->response->setJSON(['result'=>1,'message'=>'Time table Updated successfully']);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'Failed to Update']);
            }

        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }
    public function timetable_data()
    {
        $id = session()->get('id');
        if ($id) {
            $db = \Config\Database::connect();
            $builder = $db->table('time_table tt');
            $builder->select('tt.*, b.batch_no'); 
            $builder->join('batches b', 'tt.batch_id = b.id'); 
            $data = $builder->get()->getResultArray();
            if ($data) {
                return $this->response->setJSON($data);
            } else {
                return $this->response->setJSON(['result' => 0, 'message' => 'Failed to load data']);
            }
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'User not logged in']);
        }
    }
    public function edit_timetable()
    {
        $id=session()->get('id');
        if($id){
            $sid=$this->request->getVar('id');
            // echo $sid;die();
            $db=\Config\Database::connect();
            $builder=$db->table('time_table');
            $builder = $db->table('time_table tt');
            $builder->select('tt.*, b.batch_no'); 
            $builder->join('batches b', 'tt.batch_id = b.id'); 
            $builder->where('tt.id',$sid);
            $data=$builder->get()->getRowArray();
            // print_r($data);die();
            // $data['value']=$data;
            return view('Timetable/edit_timetable',$data);
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }    
    
    public function timetable_delete()
    {
        $id=$this->request->getVar('id');
        // echo $id;die();
        $db=\Config\Database::connect();
        
        $builder=$db->table('time_table');

        $batchdata=$builder->get()->getRowArray();
        
        $b_id=$batchdata['batch_id'];
        // print_r($b_id);die();

        if($b_id){
            $btable=$db->table('batches');
            $data=[
                'time_table'=>0,
            ];
            $btable->where('id',$b_id);
            $btable->update($data);
            
            $builder->where('id',$id);
            $delete=$builder->delete();
            if($delete){
                return $this->response->setJSON(['result'=>1]);
            }else{
                return $this->response->setJSON(['result'=>0]);
            }
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'failed to upodate in batch']);
        }

        
    }
}
?>