<?php echo view('includes/home_sidebar');?>

<style>
    .view_attendance_block {
        display: flex;
        justify-content: space-between;
        padding: 8px;
        border-bottom: 3px solid #8D8D8D;
    }

    .view_attendance-heading {
        margin: 0;
        padding: 3px;
        align-self: center;
        color: #003352;
        font-size: 20px;
        font-weight: 600;

    }

    .back-butt {
        color: #606060;
        font-size: 21px;
        font-weight: 500;
        outline: none;
        border: none
    }

    .view_attendance {
        background-color: #EFF3FC;
        padding: 15px 25px;
    }

    .view_attendance label {
        padding: 5px 10px;
        font-size: 15px;
        margin-block: 4px;
        font-weight: 500;
        color: #606060;
    }

    .star-mad {
        color: #c83434;
        font-size: 20px;
        position: relative;
        top: 2px;
    }

    .inp-boxes-attendance {
        border: none;
        box-shadow: 0px 0px 3px #ccc;
        background-color: white !important;
    }
    .view-submit-button {
        color: white;
        width: 40%;
        background: linear-gradient(#4E79FF, #71ACFF);
        border: none;
        outline: none;
        font-size: 18px;
        padding: 5px 4px;
        font-weight: 500;
    }
    .sub-can-button{
        width:25%;
       margin-left: auto;
       margin-top: 16px;
    }

    /* view attendance table  */
    .view-attendance-table {
        background-color: white;
    }

    .view-attendance-table th {
        color: #0065A3;
        font-size: 15px;
        font-weight: 600;
        text-align: center;
       
    }

    .view-attendance-table td {
        text-align: center;
       
        background-color: #E2ECFF !important;

    }
    .search-box {
      
        margin-block: 20px;
        position: relative;
    }

    .search-box #student-search {
        float: inline-end;
        height: 40px;
        border-radius: 12px;
        width: 40%;
        padding: 4px 9px;
        color: rgb(49, 49, 49);
        font-weight: 500;
        background-color: white;
        border: none;
        outline: none;
        box-shadow: 0px 0px 3px #ccc;
        position: relative;
    } 
    .check-for-days{
        background-color: white;
        color:#0065A3;
        padding:5px 15px;
        font-size: 15px;
        font-weight: 500;
        border:0.5px solid #ccc;
        margin-left: 10px;
    }
    @media screen and (max-width:728px){
        .view_attendance_block ,.view_attendance{
        width: 97vw;
    }

    .sub-can-button {
        width: 80%;
        margin-top: 15px;
    }
    .view-submit-button {
        color: white;
        width: 60%;margin-top: 15px;}
    }
</style>


<div class="container-fluid">
    <div class="row">

        <div class="col-sm-12">

            <!-- -----EXPENSE AND BACK BUTTON---------- -->
            <section class="view_attendance_block">

                <h5 class="view_attendance-heading">View Attendance</h5>
                <button class="btn back-butt" onclick="goBack()"><i class="fa fa-arrow-left" aria-hidden="true"></i>&nbsp;Back</button>
            </section>


            <section>
                <div class="view_attendance">
                    <div class="row">
                        <div class="col-sm-3">
                            <label for="class_degree">Class / Degree <span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="class_degree">
                                <option selected> select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>

                        <div class="col-sm-3">
                            <label for="department">Department <span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="department">
                                <option selected>select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>

                        <div class="col-sm-3">
                            <label for="Section">Section<span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="Section">
                                <option selected>select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>
                        <div class="col-sm-3 ">
                            <label for="datebirth">Date (dd/mm/yyyy) <span class="star-mad">*</span></label><input type="date" placeholder=""
                                name="datebirth" id="datebirth" class="form-control inp-boxes-attendance" />
                        </div>


                    </div>

                  <div class="sub-can-button">
                    <button type="submit" class="submit-student-form view-submit-button mx-3"
                    id="expense-list-submit">Submit</button>
                <button type="submit" class="submit-student-form view-submit-button mx-3"
                    id="expense-list-cancel">Cancel</button>

                  </div>  
                </div>

            </section>


          <!-- search bar and days  -->
            <section>
                <section class="row">
                    <div class="col-sm-4" style="display: flex;align-items: center;">
                    <button class="check-for-days">last 7 days</button>
                    <button class="check-for-days">One Month</button>

                    </div>

                    <div class="search-box col-sm-8">
                        <input type="text" id="student-search" placeholder="Search">
                        <i class="fa fa-search" aria-hidden="true"
                            style="position: absolute; right: 15px;top:50%;transform: translateY(-50%);color:#606060"></i>
                    </div>
                </section>
                <div class="viewattendance-table-block" style="overflow-y: auto;">
                    <table class="table view-attendance-table">
                        <thead>
                            <tr>
                                <th>Roll No</th>
                                <th>Student ID</th>
                                <th>Name</th>
                                <th>Today</th>
                                
                            </tr>
                        </thead>
                        <tbody id="attendanceTable">
                           
                        </tbody>
    
                    </table>
                   
                </div>
            </section>
        </div>
    </div>

</div>


<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- ==========Back arrow========= -->
<script>
        function goBack() {
            window.location.href = 'dashboard';
        }
    </script>

<!-- =========== fetch list========-->
<script>
    $(document).ready(function() {
        $.ajax({
            url: 'view-attendance-list', 
            type: 'GET',
            dataType: 'json',
            success: function(response) {
                if (response.success) {
                    var html = '';
                    $.each(response.data, function(index, item) {
                        html += '<tr>';
                        html += '<td>' + item.roll_no + '</td>';
                        html += '<td>' + item.student_id + '</td>';
                        html += '<td>' + item.name + '</td>';
                        html += '<td>';
                        if (item.today_attendance == 1) {
                            html += '<input type="checkbox" checked>'; 
                        } else {
                            html += '<input type="checkbox" disabled>'; 
                        }
                        html += '</td>';
                        html += '</tr>';
                    });
                    $('#attendanceTable').html(html); 
                } else {
                    alert(response.message);
                }
            },
            error: function(xhr, status, error) {
                console.error(xhr.responseText);
                alert('An error occurred while fetching data.');
            }
        });
    });
</script>

<!-- =================== search bar ================ -->
<script>
      $(document).ready(function() {
    $('#student-search').on('keyup', function() {
        let searchTerm = $(this).val().toLowerCase();
        
        $('#attendanceTable tr').filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(searchTerm) > -1);
        });
    });
});

</script>

<!-- ========= dropdown view attendance ============-->
<script>
   $(document).ready(function(){
            $('#expense-list-submit').click(function(e){
                e.preventDefault();
                var classVal = $('#class_degree').val();
                var departmentVal = $('#department').val();
                var sectionVal = $('#Section').val();
                var dateVal = $('#datebirth').val();

                $.ajax({
                    url: "<?php echo base_url('viewed-attendance'); ?>",
                    type: 'POST',
                    data: {
                        class_degree: classVal,
                        department: departmentVal,
                        Section: sectionVal,
                       
                        datebirth: dateVal,
                        
                    },
                    success: function(response){
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message,
                        }).then((result) => {
                            if (result.isConfirmed) {
                                $('#attendance-form')[0].reset();
                            }
                        });
                    },
                    error: function(xhr){
                        console.log(xhr.responseText);
                    }
                });
            });

            $('#expense-list-cancel').click(function(){
                $('#attendance-form')[0].reset();
            });
        });


</script>

<!-- =========last 7 days=========== -->
<script>
        $(document).ready(function() {
            $('#last7DaysButton').on('click', function() {
                $.ajax({
                    url: 'fetch-lastDays-attendance',
                    method: 'GET',
                    success: function(response) {
                        alert('details fetched');
                        var rows = '';
                        response.attendance.forEach(function(attendance) {
                            var checked = (attendance.today_attendance == 1) ? 'checked' : ''; 
                            rows += '<tr>' +
                                        '<td>' + attendance.roll_no + '</td>' +
                                        '<td>' + attendance.student_id + '</td>' +
                                        '<td>' + attendance.name + '</td>' +
                                        '<td><input type="checkbox" name="attendance[]" value="' + attendance.id + '" ' + checked + '></td>' +
                                    '</tr>';
                        });
                        $('#attendanceTable').html(rows);
                    }
                });
            });
        });
    </script>

    <!-- =======one month======== -->
    <script>
        $(document).ready(function() {
            $('#onemonth').on('click', function() {
                $.ajax({
                    url: 'fetch-oneMonth-attendance',
                    method: 'GET',
                    success: function(response) {
                        alert('details fetched');
                        var rows = '';
                        response.attendance.forEach(function(attendance) {
                            var checked = (attendance.today_attendance == 1) ? 'checked' : ''; 
                            rows += '<tr>' +
                                        '<td>' + attendance.roll_no + '</td>' +
                                        '<td>' + attendance.student_id + '</td>' +
                                        '<td>' + attendance.name + '</td>' +
                                        '<td><input type="checkbox" name="attendance[]" value="' + attendance.id + '" ' + checked + '></td>' +
                                    '</tr>';
                        });
                        $('#attendanceTable').html(rows);
                    }
                });
            });
        });
    </script>