<?php

namespace App\Controllers;

class Feecollection extends BaseController
{
    public function student_details_admission()
    {
        $id=session()->get('id');
        if($id){
            $aid=$this->request->getVar('id');
            // echo $sid;die();
            $db=\Config\Database::connect();
            $builder=$db->table('student_list');
            $builder->select('student_list.*,header.header_name as header,header_value.value_name as value');
            $builder->join('header','header.id=student_list.header_name');
            $builder->join('header_value','header_value.id=student_list.value_name');
            $builder->where('student_list.admission_no',$aid);
            $builder->where('student_list.delete_status',1);
            $data=$builder->get()->getRowArray();
   
            // $query=$db->getLastQuery();
            // echo $query;die();
            // print_r($data);die();
            // $data['value']=$data;
            if($data){
                $balace=$data['total_fees']-$data['paid_fees'];
                if($balace==0){
                    $data['balance']='No Balance is pending';
                }else{
                    $data['balance']=$balace;
                }
                
                return $this->response->setJSON(['result'=>1,'data'=>$data]);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'Student Not found']);
            }
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }
    public function fees_collection_individual()
    {
        $id=session()->get('id');
        if($id){
            $aid=$this->request->getVar('id');
            $db=\Config\Database::connect();
            $builder=$db->table('fees_collection');
            $builder->where('admission_no',$aid);
            $data=$builder->get()->getResultArray();
            // echo 'hello';
            // print_r($data);die();
            if($data){
                return $this->response->setJSON($data);
            }else{
                return $this->response->setJSON(['result'=>0,'message'=>'Failed to load data']);
            }
        }else{
            // echo 'hello';die();
            return $this->response->setJSON(['result'=>0,'message'=>'please login']);
        }
    }
    public function add_fees()
    {
        $created_by=session()->get('username');
        $sid=$this->request->getVar('sid');
        $admission_no=$this->request->getVar('admission_no');
        $modeofpament=$this->request->getVar('modeofpament');
        $payment_description=$this->request->getVar('payment_description');
        $amount=$this->request->getVar('amount_paid');
        $payment_id  = "PAY-".date("YmdHis");

        $db = \Config\Database::connect();
        $update_fees = $db->table('student_list');
        $current_fees_data = $update_fees->select('paid_fees')->where('id', $sid)->where('admission_no', $admission_no)->get()->getRowArray();

        if ($current_fees_data) {
        $current_fees = $current_fees_data['paid_fees'];
        $total_paid_fees = $current_fees + $amount;
        // echo $current_fees_data['paid_fees'];die();
        $datapaid = [
        'paid_fees' => $total_paid_fees
        ];
        $update_fees->where('id', $sid)->where('admission_no', $admission_no);
        $update = $update_fees->update($datapaid);
        // if ($update) {
        //     echo "Paid fees updated successfully.";
        //     die();
        // } else {
        //     echo "Failed to update paid fees.";
        //     die();
        // }
        } else {
            return $this->response->setJSON(['result'=>0,'message'=>'Failed to update paid fees']);
        }

        
        $receipt = $db->table('fees_collection');
        $receipt->select('recipt_no');
        $receipt->like('recipt_no', 'RECIPT');
        $receipt->orderBy('recipt_no', 'DESC');
        $receipt->limit(1);
        $recno_data = $receipt->get()->getResultArray();
        $last = end($recno_data);
        
        if ($last) {
            $last_receipt_no = $last['recipt_no'];
            $re_no1 = intval(substr($last_receipt_no, 6)) + 1;
            $recipt_no = 'RECIPT' . str_pad($re_no1, 6, '0', STR_PAD_LEFT);
        } else {
            $recipt_no = 'RECIPT000001';
        }
        

        $data=[
            's_id'=>$sid,
            'admission_no'=>$admission_no,
            'payment_id'=>$payment_id,
            'amount'=>$amount,
            'collected_by'=>$created_by,
            'created_at' => date('Y-m-d H:i:s'),
            'description'=>$payment_description,
            'recipt_no'=>$recipt_no,
            'mode_of_pament'=>$modeofpament
        ];
        $insert_data=$db->table('fees_collection');
        $insert=$insert_data->insert($data);

        if($insert){
            return $this->response->setJSON(['result'=>1,'message'=>'Fees Collected successfully']);
        }else{
            return $this->response->setJSON(['result'=>0,'message'=>'Failed to Collect']);
        }
    }
    public function fees_report_main()
    {
        $db = \Config\Database::connect();
    
        $toDate = date('Y-m-d');
        $fromDate = date('Y-m-d', strtotime('-3 months', strtotime($toDate)));
    
        $fromdate = $this->request->getPost('fromdate');
        $todate = $this->request->getPost('todate');
        
        if (!$fromdate || !$todate) {
            $fromdate = $fromDate;
            $todate = $toDate;
        }
        $data['from']=$fromdate;
        $data['to']=$todate;
        $builder = $db->table('fees_collection');
        $builder->where('created_at >=', $fromdate . ' 00:00:00');
        $builder->where('created_at <=', $todate . ' 23:59:59');
        $collected = $builder->get()->getResultArray();
        $collected_amount = 0;
        foreach ($collected as $value) {
            $collected_amount += $value['amount'];
        }
    
        $data['collected_amount'] = $collected_amount;
        $total_amount = 0;
        $builder = $db->table('student_list');
        $builder->where('delete_status', 1);
        $builder->where('created_at >=', $fromdate . ' 00:00:00');
        $builder->where('created_at <=', $todate . ' 23:59:59');
        $total = $builder->get()->getResultArray();
        foreach ($total as $value) {
            $total_amount += $value['total_fees'];
        }
        
        
        $data['total_amount'] = $total_amount;
        $data['balance'] = $total_amount - $collected_amount;

        //overall
        $total_amount_overall = 0;
        $builder = $db->table('student_list');
        $builder->where('delete_status', 1);
        $total_overall = $builder->get()->getResultArray();
        foreach ($total_overall as $value) {
            $total_amount_overall += $value['total_fees'];
        }
        $data['total_amount_overall']=$total_amount_overall;

        $builder = $db->table('fees_collection');
        $collected_overall = $builder->get()->getResultArray();
        $collected_amount_overall = 0;
        foreach ($collected_overall as $value) {
            $collected_amount_overall += $value['amount'];
        }
        $data['collected_amount_overall']=$collected_amount_overall;

        $data['overallbalace']=$total_amount_overall-$collected_amount_overall;
        //table
        $builder = $db->table('student_list');
        $builder->select('fees_collection.*, student_list.first_name AS student_first_name');
        $builder->join('fees_collection', 'fees_collection.s_id = student_list.id');
        $builder->where('fees_collection.created_at >=', $fromdate . ' 00:00:00');
        $builder->where('fees_collection.created_at <=', $todate . ' 23:59:59');
        $table = $builder->get()->getResultArray();
        

        if ($total_amount > 0) {
            return $this->response->setJSON(['result' => 1, 'data' => $data,'table'=>$table]);
        } else {
            return $this->response->setJSON(['result' => 0, 'message' => 'Something went wrong']);
        }
    }
    
    public function receipt()
    {
        $db = \Config\Database::connect();
        $id = $this->request->getVar('id');
        
        $builder = $db->table('fees_collection');
        $builder->select('fees_collection.*, student_list.first_name, student_list.last_name');
        $builder->join('student_list', 'fees_collection.s_id = student_list.id');
        $builder->where('fees_collection.id',$id);
        
        $data = $builder->get()->getRowArray();
        // print_r($data); 
        return view('studentapplication/recipt', $data);
    }
    
    
}
?>