<?php

namespace App\Models;

use CodeIgniter\Model;
 
class AttendanceList extends Model
{
    protected $table = 'mark_attendance';  
    protected $primaryKey = 'id';
    protected $allowedFields = ['today_attendance', 'roll_no', 'student_id', 'name', 'yesterday', 'day_before_yesterday', 'two_day_before'];

    
    public function searchStudents($searchTerm)
    {
        return $this->like('roll_no', $searchTerm)
                    ->orLike('student_id', $searchTerm)
                    ->orLike('name', $searchTerm)
                    ->findAll();
    }
}

?>      