<?php

namespace App\Models;

use CodeIgniter\Model;

class LeadsModel extends Model
{
    protected $table = 'leads';
    protected $primaryKey = 'id';
    protected $allowedFields = ['first_name', 'last_name', 'email', 'DOB', 'Date','mobile_no', 'address', 'city', 
    'course_offered', 'qualification', 'country', 'counselor_name', 'gender', 'source', 'profession',
    'status', 'company_name', 'remarks','converted','profile_img'];

   
    public function update_student($leadId, $data) {
       
        return $this->update([$this->primaryKey => $leadId], $data);
    }
    
    public function getLeads()
        {
          
            return $this->findAll();
        }
}
