<?php echo view('includes/home_sidebar');?>

<style>
    .mark_attendance_block {
        display: flex;
        justify-content: space-between;
        padding: 8px;
        border-bottom: 3px solid #8D8D8D;
    }

    .mark_attendance-heading {
        margin: 0;
        padding: 3px;
        align-self: center;
        color: #003352;
        font-size: 20px;
        font-weight: 600;

    }

    .back-butt {
        color: #606060;     
        font-size: 21px;
        font-weight: 500;
        outline: none;
        border: none
    }

    .mark_attendance {
        background-color: #EFF3FC;
        padding: 15px 25px;
    }

    .mark_attendance label {
        padding: 5px 10px;
        font-size: 15px;
        margin-block: 4px;
        font-weight: 500;
        color: #606060;
    }

    .star-mad {
        color: #c83434;
        font-size: 20px;
        position: relative;
        top: 2px;
    }

    .inp-boxes-attendance {
        border: none;
        box-shadow: 0px 0px 3px #ccc;
        background-color: white !important;
    }

    .expense-list-submit-button {
        color: white;
        width: 40%;
        background: linear-gradient(#4E79FF, #71ACFF);
        border: none;
        outline: none;
        font-size: 18px;
        padding: 5px 4px;
        font-weight: 500;
    }

    .attendance-table {
        background-color: white;
        
    }

    .attendance-table th {
        color: #0065A3;
        font-size: 15px;
        font-weight: 600;
        text-align: center;
    }

    .attendance-table td {
        text-align: center;
        background-color: #E2ECFF !important;

    }

    .attendance-check {
        background-color: #0065A3 !important;
        color: white;
    }

    .attendance-data {
        margin-bottom: 17px;
    }

    .search-box {
        text-align: end;
        margin-block: 10px;
        position: relative;
    }

    .search-box #student-search {
        height: 40px;
        border-radius: 12px;
        width: 40%;
        padding: 4px 9px;
        color: rgb(49, 49, 49);
        font-weight: 500;
        background-color: white;
        border: none;
        outline: none;
        box-shadow: 0px 0px 3px #ccc;
        position: relative;
    }

    .s-c-button {
        display: flex;
        align-items: flex-end;
        justify-content: center;
    }

    @media only screen and (max-width:728px) {

        .mark_attendance_block,
        .mark_attendance,
        .attendance-table-block {
            width: 97vw;
        }

        .s-c-button {
            margin-top: 20px;
        }

        #time {
            margin-top: 8px;
        }

    }
</style>

<div class="container-fluid">
    <div class="row">

        <div class="col-sm-12">

            <!-- -----EXPENSE AND BACK BUTTON---------- -->
            <section class="mark_attendance_block">

                <h5 class="mark_attendance-heading">Mark Attendance</h5>
                <button class="btn back-butt" onclick="goBack()"><i class="fa fa-arrow-left" aria-hidden="true" ></i>&nbsp;Back</button>
            </section>

            <section>
                <div class="mark_attendance">
                    <div class="row">
                        <div class="col-sm-3">
                            <label for="class_degree">Class / Degree <span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="class_degree" required>
                                <option selected> select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>

                        <div class="col-sm-3">
                            <label for="department">Department <span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="department"  required>
                                <option selected>select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>

                        <div class="col-sm-3">
                            <label for="Section">Section<span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="Section"  required>
                                <option selected>select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>
                        <div class="col-sm-3">
                            <label for="acadmic_year1">Academic Year <span class="star-mad">*</span></label></br>
                            <select class="form-select inp-boxes-attendance" id="acadmic_year1"  required>
                                <option selected>select</option>
                                <option value="1">One</option>
                                <option value="2">Two</option>
                                <option value="3">Three</option>
                            </select>
                        </div>

                    </div>


                    <div class="row">
                        <div class="col-sm-3">
                            <label for="datebirth">Date (dd/mm/yyyy) <span class="star-mad">*</span></label><input
                                type="date" placeholder="" name="datebirth" id="datebirth"
                                class="form-control inp-boxes-attendance" />
                        </div>
                        <div class="col-sm-3">
                            <label for="time">Time <span class="star-mad">*</span></label>
                            <div class="row">
                                <div class="col-sm">
                                    <select id="time" class="form-select inp-boxes-attendance">
                                        <option value="00:00">00:00</option>
                                        <option value="00:30">00:30</option>
                                        <option value="01:00">01:00</option>
                                        <option value="01:30">01:30</option>
                                        <option value="02:00">02:00</option>
                                        <option value="02:30">02:30</option>
                                        <option value="03:00">03:00</option>
                                        <option value="03:30">03:30</option>
                                        <option value="04:00">04:00</option>
                                        <option value="04:30">04:30</option>
                                        <option value="05:00">05:00</option>
                                        <option value="05:30">05:30</option>
                                        <option value="06:00">06:00</option>
                                        <option value="06:30">06:30</option>
                                        <option value="07:00">07:00</option>
                                        <option value="07:30">07:30</option>
                                        <option value="08:00">08:00</option>
                                        <option value="08:30">08:30</option>
                                        <option value="09:00">09:00</option>
                                        <option value="09:30">09:30</option>
                                        <option value="10:00">10:00</option>
                                        <option value="10:30">10:30</option>
                                        <option value="11:00">11:00</option>
                                        <option value="11:30">11:30</option>
                                        <option value="12:00">12:00</option>
                                        <option value="12:30">12:30</option>
                                    </select>
                                </div>

                                <div class="col-sm">
                                    <select class="form-select inp-boxes-attendance" >
                                        <option value="AM">AM</option>
                                        <option value="PM">PM</option>
                                    </select>
                                </div>
                            </div>


                        </div>
                        <div class="col-sm-3">
                        </div>
                        <div class="col-sm-3 text-center s-c-button">
                            <button type="submit" class="submit-student-form expense-list-submit-button mx-3"
                                id="expense-list-submit">Submit</button>
                                <button type="button" class="submit-student-form expense-list-submit-button mx-3" id="expense-list-cancel">Cancel</button>

                        </div>
                    </div>

                </div>


                <section>
                    <div class="search-box">
                        <input type="text" id="student-search" placeholder="Search">
                        <i class="fa fa-search" aria-hidden="true"
                            style="position: absolute; right: 15px;top:50%;transform: translateY(-50%);color:#606060"></i>
                    </div>
                </section>
            </section>

            <div class="attendance-table-block" style="overflow-y: auto;">
                <table class="table attendance-table">
                    <thead>
                        <tr>
                            <th>Today Attendance</th>
                            <th>Roll No</th>
                            <th>Student ID</th>
                            <th>Name</th>
                            <th>Yesterday</th>
                            <th>Day Before Yesterday</th>
                            <th>2 Day Before</th>
                        </tr>
                    </thead>
                    <tbody id="attendance-body">
                    </tbody>

                </table>
                <button type="submit" class="submit-student-form expense-list-submit-button" id="expense-list-submit-down"
                    style="width:20%">SUBMIT</button>
            </div>


            <section>

            </section>
        </div>
    </div>

</div>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<script>
        function goBack() {
            window.location.href = 'dashboard';
        }
    </script>

<!-- ========= dropdown mark attendance ============-->
<script>
   $(document).ready(function(){
            $('#expense-list-submit').click(function(e){
                e.preventDefault();
                var classVal = $('#class_degree').val();
                var departmentVal = $('#department').val();
                var sectionVal = $('#Section').val();
                var academicYearVal = $('#acadmic_year1').val();
                var dateVal = $('#datebirth').val();
                var timeVal = $('#time').val();

                $.ajax({
                    url: "<?php echo base_url('marked-attendance'); ?>",
                    type: 'POST',
                    data: {
                        class_degree: classVal,
                        department: departmentVal,
                        Section: sectionVal,
                        acadmic_year1: academicYearVal,
                        datebirth: dateVal,
                        time: timeVal,
                    },
                    success: function(response){
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message,
                        }).then((result) => {
                            if (result.isConfirmed) {
                                $('#attendance-form')[0].reset();
                            }
                        });
                    },
                    error: function(xhr){
                        console.log(xhr.responseText);
                    }
                });
            });

            $('#expense-list-cancel').click(function(){
                $('#attendance-form')[0].reset();
            });
        });


</script>



<!-- ========= mark attendance ============-->
<script>
$(document).ready(function() {
    function fetchStudentList() {
        $.ajax({
            url:   "<?php echo base_url('fetch-students'); ?>",
            dataType: 'json',
            success: function(response) {
                if (response.length > 0) {
                    let rows = '';
                    response.forEach(function(student) {
                        rows += `
                            <tr class="attendance-data">
                                <td><input type="checkbox" name="today-attendance" class="attendance-check"></td>
                                <td><span class="roll-no">${student.roll_no}</span></td>
                                <td><span class="student-id">${student.student_id}</span></td>
                                <td><span class="attendance-student-name">${student.name}</span></td>
                                <td><input type="checkbox" name="yesterday-attendance" class="attendance-check"></td>
                                <td><input type="checkbox" name="day-before-yesterday-attendance" class="attendance-check"></td>
                                <td><input type="checkbox" name="two-day-before-attendance" class="attendance-check"></td>
                            </tr>
                        `;
                    });
                    $('#attendance-body').html(rows);
                } else {
                    alert('Failed to load data');
                }
            },
            error: function() {
                alert('An error occurred while fetching the student list.');
            }
        });
    }
    fetchStudentList();

    });
</script>       


<!-- =================== save attendance ajax============= -->

<script>
$(document).ready(function () {
    $('#expense-list-submit-down').click(function (e) {
        e.preventDefault();

        let attendanceData = [];

        $('#attendance-body tr').each(function () {
            let row = $(this);
            let attendance = {
                today_attendance: row.find('input[name="today-attendance"]').is(':checked') ? 1 : 0, 
                roll_no: row.find('td').eq(1).text(),
                student_id: row.find('td').eq(2).text(),
                name: row.find('td').eq(3).text(),
                yesterday: row.find('input[name="yesterday-attendance"]').is(':checked') ? 1 : 0,
                day_before_yesterday: row.find('input[name="day-before-yesterday-attendance"]').is(':checked') ? 1 : 0,
                two_day_before: row.find('input[name="two-day-before-attendance"]').is(':checked') ? 1 : 0
            };
            attendanceData.push(attendance);
        });

        $.ajax({
            url: "<?php echo base_url('save-attendance'); ?>",
            data: { attendanceData: JSON.stringify(attendanceData) },
            method: 'POST', 
            success: function (response) {
                alert('Attendance saved successfully');
            },
            error: function (xhr, status, error) {
                console.log(error);
            }
        });
    });
});

</script>


<!-- =================== search bar ================ -->
<script>
      $(document).ready(function() {
    $('#student-search').on('keyup', function() {
        let searchTerm = $(this).val().toLowerCase();
        
        $('#attendance-body tr').filter(function() {
            $(this).toggle($(this).text().toLowerCase().indexOf(searchTerm) > -1);
        });
    });
});

</script>

<!-- ==============fetch checkbox============== -->
<script>
        // $(document).ready(function() {
        //     fetchAttendance();

        //     function fetchAttendance() {
        //         $.ajax({
        //             url: '<?= base_url('fetch-attendance') ?>',
        //             type: 'GET',
        //             dataType: 'json',
        //             success: function(data) {
        //                 var tbody = $('#attendance-body');
        //                 tbody.empty();
        //                 $.each(data, function(index, attendance) {
        //                     var row = '<tr>' +
        //                     '<td><input type="checkbox" ' + (attendance.today_attendance == '1' ? 'checked' : '') + ' disabled></td>' +
        //                         '<td>' + attendance.roll_no + '</td>' +
        //                         '<td>' + attendance.student_id + '</td>' +
        //                         '<td>' + attendance.name + '</td>' +
        //                         '<td><input type="checkbox" ' + (attendance.yesterday == '1' ? 'checked' : '') + ' disabled></td>' +
        //                         '<td><input type="checkbox" ' + (attendance.day_before_yesterday == '1' ? 'checked' : '') + ' disabled></td>' +
        //                         '<td><input type="checkbox" ' + (attendance.two_day_before == '1' ? 'checked' : '') + ' disabled></td>' +
        //                         '</tr>';
        //                     tbody.append(row);
        //                 });
        //             }
        //         });
        //     }
        // });


$(document).ready(function() {
    fetchAttendance();

    function fetchAttendance() {
        $.ajax({
            url: '<?= base_url('fetch-attendance') ?>',
            type: 'GET',
            dataType: 'json',
            success: function(data) {
                var tbody = $('#attendance-body');
                tbody.empty();
                $.each(data, function(index, attendance) {
                  
                    $.ajax({
                        url: '<?= base_url('fetch-attendance') ?>', 
                        type: 'POST',
                        data: {
                        
                            id: attendance.id, 
                        },
                        dataType: 'json',
                        success: function(response) {
                            
                            var row = '<tr>' +
                                '<td><input type="checkbox" ' + (response.today_attendance == '1' ? 'checked' : '') + ' disabled></td>' +
                                '<td>' + attendance.roll_no + '</td>' +
                                '<td>' + attendance.student_id + '</td>' +
                                '<td>' + attendance.name + '</td>' +
                                '<td><input type="checkbox" ' + (attendance.yesterday == '1' ? 'checked' : '') + ' disabled></td>' +
                                '<td><input type="checkbox" ' + (attendance.day_before_yesterday == '1' ? 'checked' : '') + ' disabled></td>' +
                                '<td><input type="checkbox" ' + (attendance.two_day_before == '1' ? 'checked' : '') + ' disabled></td>' +
                                '</tr>';
                            tbody.append(row);
                        },
                        error: function() {
                           
                        }
                    });
                });
            }
        });
    }
});

</script>